Subject: RE: [Ltru] [psg.com #992] provide way to alias language-variantcombination to a lang-extlang combination

From: "Addison Phillips" <[email-masked]>
Date: Thu, 19 May 2005 09:32:27 -0700

Grandfathering all the junk in the registry seems like a useful compromise. If a variant subtag ('nedis' and 'rozaj' come immediately to mind) are still useful, then they can be individually registered as variants after the adoption of the RFC and the grandfathered tags converted to redundant at that point.

Then we ensure the text allows grandfathered tags to become deprecated and mapped. This allows "zh-gouyu" to be mapped to "zh-cmn" in the future.

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of John Cowan
> Sent: mercredi 18 mai 2005 19:13
> To: Randy Presuhn
> Cc: [email-masked]
> Subject: Re: [Ltru] [psg.com #992] provide way to alias language-
> variantcombination to a lang-extlang combination
> 
> Randy Presuhn scripsit:
> 
> > I've followed up on the thread "grandfathered tags and generative
> > capacity" by creating ticket [psg.com #992].  Please continue
> > discussion of this issue using this ticket identifier in the
> > subject line.
> 
> Okay.
> 
> Peter Constable scripsit:
> 
> > But now throw into this mix the fact that we have certain grandfathered
> > tags - grandfathered because they don't fit the general syntax. What
> > does someone do if they need to denote a category that's a restriction
> > on something for which there's a grandfathered tag? For example, what
> > does someone use to denote Mandarin written in traditional characters
> > for use in Mainland China? The issue here is that Mandarin Chinese has a
> > grandfathered tag of zh-guoyu.
> 
> IMHO that should be treated purely as a grandfathered tag and not fitted
> into the generative system until we have the productive form zh-cmn
> available.  The fact that 'guoyu' looks like a variant tag doesn't make it
> one,
> as Abraham Lincoln said about a dog's tail (it's not a leg even if you
> call it one).
> 
> In fact, I formally propose that we modify section 3.7 as follows.
> Replace
> the following three paragraphs:
> 
> # Tags that are not deprecated that consist entirely of subtags that are
> # valid under this document and which have the correct form and format for
> # tags defined by this document are superseded by this document. Such tags
> # are placed in records of type 'redundant' in the registry. For example,
> # "zh-Hant" is now defined by this document.
> #
> # Tags that are not deprecated and which contain subtags which are
> # consistent with registration under the guidelines in this document will
> # have a new subtag registration created for each eligible subtag. If all
> # of the subtags in the original tag are fully defined by the resulting
> # registrations or by this document, then the original tag is superseded
> # by this document. Such tags are placed in the 'redundant' section of
> # the registry. For example, "en-boont" will result in a new subtag
> # 'boont' and the RFC 3066 registered tag "en-boont" placed in the
> # redundant section of the registry.
> #
> # Tags that contain one or more subtags that do not match the valid
> # registration pattern and which are not otherwise defined by this
> # document will have records of type 'grandfathered' created in the
> # registry.
> 
> with the following text:
> 
> # Tags that are not deprecated that consist entirely of subtags that are
> # valid under this document, contain no variant or extension subtags,
> # and have the correct form and format for tags defined by this document
> # are superseded by this document. Such tags are placed in records of type
> # 'redundant' in the registry. For example, "zh-Hant" is now defined by
> # this document.
> #
> # All other tags will have records of type "grandfathered" created in the
> # registry.
> 
> The effect of this is to initialize the registry with no subtags of type
> "variant".  It will be up to [email-masked] to add them as
> needed; presumably they will add 1901, 1996, boont, and scouse, but not
> guoyu.
> 
> (This leads to another problem with grandfathered tags that I'll address
> in my next posting so it can get a new ticket number.)
> 
> > zh-guoyu
> >
> > zh-cmn-Hant / zh-cmn-CN / zh-cmn-Hant-CN / etc.
> 
> I think that's right, although of course zh-cmn will work too,
> once ISO 639-6 comes on line.
> 
> --
> And through this revolting graveyard of the universe the muffled,
> maddening
> beating of drums, and thin, monotonous whine of blasphemous flutes from
> inconceivable, unlighted chambers beyond Time; the detestable pounding
> and piping whereunto dance slowly, awkwardly, and absurdly the gigantic
> tenebrous ultimate gods -- the blind, voiceless, mindless gargoyles whose
> soul
> is Nyarlathotep. (Lovecraft) John
> [email-masked]|ccil.org/~cowan
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Mark Davis" <[email-masked]>
Date: Thu, 19 May 2005 10:04:53 -0700

I agree.

‎Mark

----- Original Message ----- 
From: "Addison Phillips" <[email-masked]>
To: "John Cowan" <[email-masked]>; "Randy Presuhn"
<[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, May 19, 2005 09:32
Subject: RE: [Ltru] [psg.com #992] provide way to
aliaslanguage-variantcombination to a lang-extlang combination

Grandfathering all the junk in the registry seems like a useful compromise.
If a variant subtag ('nedis' and 'rozaj' come immediately to mind) are still
useful, then they can be individually registered as variants after the
adoption of the RFC and the grandfathered tags converted to redundant at
that point.

Then we ensure the text allows grandfathered tags to become deprecated and
mapped. This allows "zh-gouyu" to be mapped to "zh-cmn" in the future.

Addison

Addison P. Phillips

---

From: "Randy Presuhn" <[email-masked]>
Date: Fri, 20 May 2005 19:08:53 -0700

Hi -

> From: "Mark Davis" <[email-masked]>
> To: "Addison Phillips" <[email-masked]>; "John Cowan" <[email-masked]>; "Randy Presuhn"
> Cc: <[email-masked]>
> Sent: Thursday, May 19, 2005 10:04 AM
> Subject: Re: [Ltru] [psg.com #992] provide way to aliaslanguage-variantcombination to a lang-extlang combination
>
> I agree.
>
> ?Mark
...

Ok, it looks like there's a consensus resolution based on the proposal
in http://www1.ietf.org/mail-archive/web/ltru/current/msg01780.html
So, I'll mark this one "resolved".

Randy, ltru co-chair

---

From: "Randy Presuhn" <[email-masked]>
Date: Fri, 20 May 2005 18:18:33 -0700

Hi -

...

Randy, ltru co-chair